"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var boolean_type_1 = require("../../data-type/boolean/boolean-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Checkbox',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: boolean_type_1.BooleanType.TYPE_NAME,
        defaultValue: false
    }
};
var demoConfig = core_1.ObjectUtil.assignDeep({}, Model, {
    label: 'Checkbox',
    labelPosition: 'before',
    typeConfig: {}
});
var CheckboxWidgetConfig = (function (_super) {
    __extends(CheckboxWidgetConfig, _super);
    function CheckboxWidgetConfig(config, key) {
        var _this = _super.call(this, CheckboxWidgetConfig.INPUT_NAME, config, key) || this;
        _this.typeConfig = new boolean_type_1.BooleanType(_this.typeConfig);
        return _this;
    }
    CheckboxWidgetConfig.prototype.getDemoInstance = function () {
        return new CheckboxWidgetConfig(demoConfig);
    };
    return CheckboxWidgetConfig;
}(input_config_1.InputConfig));
CheckboxWidgetConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
CheckboxWidgetConfig.INPUT_NAME = 'Checkbox';
exports.CheckboxWidgetConfig = CheckboxWidgetConfig;
input_config_1.InputConfig.register(CheckboxWidgetConfig);

//# sourceMappingURL=checkbox-widget-config.js.map
