import { Jsonified } from '@tangential/core';
import { DurationType, DurationTypeJson } from '../../data-type/duration/duration-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface DurationFieldShowingState {
    day?: boolean;
    h?: boolean;
    min?: boolean;
    s?: boolean;
    ms?: boolean;
}
export interface DurationPickerConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after' | 'below';
    showDurationFields?: DurationFieldShowingState;
    typeConfig?: DurationTypeJson;
}
export declare class DurationPickerConfig extends InputConfig implements Jsonified<DurationPickerConfig, DurationPickerConfigIF>, DurationPickerConfigIF {
    static $model: DurationPickerConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after' | 'below';
    disabled: boolean;
    showDurationFields?: DurationFieldShowingState;
    typeConfig: DurationType;
    constructor(config?: DurationPickerConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
