import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { NumberIval } from '../../data-type/number/number-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { NumberSliderConfig } from './number-slider-config';
export declare class NumberSliderTemplateComponent implements OnInit, InputTemplateIF {
    private _changeDetector;
    config: NumberSliderConfig;
    ival: NumberIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
}
