"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var number_type_1 = require("../../data-type/number/number-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Number Spinner',
    labelPosition: 'before',
    disabled: false,
    typeConfig: {
        _inputTypeKey: number_type_1.NumberType.TYPE_NAME,
        defaultValue: 0
    }
};
var demoConfig = Object.assign({}, Model, {
    label: 'Number Spinner'
});
var NumberSpinnerConfig = (function (_super) {
    __extends(NumberSpinnerConfig, _super);
    function NumberSpinnerConfig(config, key) {
        var _this = _super.call(this, NumberSpinnerConfig.INPUT_NAME, config || {}, key) || this;
        _this.typeConfig = new number_type_1.NumberType(_this.typeConfig);
        return _this;
    }
    NumberSpinnerConfig.prototype.getDemoInstance = function () {
        return new NumberSpinnerConfig(demoConfig);
    };
    return NumberSpinnerConfig;
}(input_config_1.InputConfig));
NumberSpinnerConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
NumberSpinnerConfig.INPUT_NAME = 'NumberSpinner';
exports.NumberSpinnerConfig = NumberSpinnerConfig;
input_config_1.InputConfig.register(NumberSpinnerConfig);

//# sourceMappingURL=number-spinner-config.js.map
