import { Jsonified } from '@tangential/core';
import { ConfigurableInputType, ConfigurableInputTypeJson } from '../configurable-input-type';
import { DateTimeIval, DateTimeIvalIF } from './date-time-ival';
export interface DateTimeTypeIF extends ConfigurableInputTypeJson {
    afterMils?: number;
    beforeMils?: number;
    defaultValue?: number;
    defaultToNow?: boolean;
}
export declare class DateTimeType extends ConfigurableInputType implements Jsonified<DateTimeType, DateTimeTypeIF>, DateTimeTypeIF {
    static $model: DateTimeTypeIF;
    static TYPE_NAME: string;
    afterMils?: number;
    beforeMils?: number;
    defaultValue?: number;
    defaultToNow?: boolean;
    constructor(config?: DateTimeTypeIF, key?: string);
    getInputTypeKey(): string;
    uiValue: string;
    isNumeric(): boolean;
    createValue(cfg?: DateTimeIvalIF, key?: string): DateTimeIval;
    getDefaultValue(): number;
}
