"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
//noinspection TypeScriptPreferShortImport
var duration_type_1 = require("../../data-type/duration/duration-type");
var input_config_1 = require("../../input-config");
var Model = {
    label: 'Duration',
    labelPosition: 'before',
    showDurationFields: null,
    typeConfig: {
        _inputTypeKey: duration_type_1.DurationType.TYPE_NAME,
        defaultValue: 0
    }
};
var demoConfig = Object.assign({}, Model);
var DurationPickerConfig = (function (_super) {
    __extends(DurationPickerConfig, _super);
    function DurationPickerConfig(config, key) {
        var _this = _super.call(this, DurationPickerConfig.INPUT_NAME, config || {}, key) || this;
        _this.labelPosition = 'before';
        _this.typeConfig = new duration_type_1.DurationType(_this.typeConfig);
        if (!_this.showDurationFields) {
            _this.showDurationFields = {
                min: true,
                s: true,
                ms: true
            };
        }
        return _this;
    }
    DurationPickerConfig.prototype.getDemoInstance = function () {
        return new DurationPickerConfig(demoConfig);
    };
    return DurationPickerConfig;
}(input_config_1.InputConfig));
DurationPickerConfig.$model = core_1.ObjectUtil.assignDeep({}, input_config_1.InputConfig.$model, Model);
DurationPickerConfig.INPUT_NAME = 'DurationPickerConfig';
exports.DurationPickerConfig = DurationPickerConfig;
input_config_1.InputConfig.register(DurationPickerConfig);

//# sourceMappingURL=duration-picker-config.js.map
